package apt;

import apt.vrml.*;
import java.applet.*;
import java.net.*;
import java.util.*;
import com.mw2mw.browser.JSWindow;

class Launch3DThread extends Thread
{
    ApartmentApplet applet;
    RoomInfo[] info;
    String key;
    Vector tour;
    
    Launch3DThread(ApartmentApplet applet,RoomInfo[] info, Vector tour, String key)
    {
        this.applet=applet;
        this.info=info;
        this.tour=tour;
        this.key=key;
    }
    
    public void run()
    {
        try
        {
            URL u=applet.server.make3D(info,tour,key);
			JSWindow w = new JSWindow("VRML", 535, 535, 
									  false, false, false, false, false, false, true,
									  applet);
			if (w.valid()) {
				w.open(u.toString());
			} else {
				applet.getAppletContext().showDocument(u, "vrml");
			}
        }
        catch (Exception ex)
        {
			
			ex.printStackTrace(System.out);
            //System.out.println(ex);
        }
        applet.notify3DFinished();
    }
}
