package apt;

/**
 *
 * Interface for a class that requires extra 
 * net-based initialization
 * beyond the normal constructor.
 *
 */
public interface Loadable
{
    /**
     *
     * Perform extra initialization.
     *
     */
    public void load();
}