package apt.plan3d;

import java.util.Random;
import space.Point3D;

/*
This class contains some helpful routines
for dealing with random numbers.
*/
public class ExtendedRandom extends Random
{
    public ExtendedRandom()
    {
    }

    public ExtendedRandom(long seed)
    {
        super(seed);
    }

    public Point3D randomUnit()
    {
        Point3D p=new Point3D(r(),r(),r());
        return p.unit();
    }
    
    private double r()
    {
        return nextDouble()-.5;
    }

    public int rnd(int n)
    {
        return (int)(n*nextDouble());
    }

}