package apt.vrml;

import java.util.*;
import space.*;
import apt.plan3d.*;

public class RoomInfo
{
	private String name;
	private Point3D[] corners;
	private Vector words=new Vector();

	public RoomInfo(String name)
	{
		this.name = name;
	}

	public String getName() { return name; }

	public void setCorners(Point3D a, Point3D b)
	{
		this.corners = new Point3D[] {a, b};
	}

	public Point3D[] getCorners()
	{
		return new Point3D[] {corners[0], corners[1]};
	}
	

	/*
	public void setCoords(Point3D[] coords)
	{
		this.coords = coords;
	}

	public Point3D[] getCoords() { return coords; }
	*/
	
	public void addWordSurface(WordSurface w) {
		words.addElement(w);
	}

	public WordSurface[] getWordSurfaces() {
		WordSurface[] surfaces = new WordSurface[words.size()];
		words.copyInto(surfaces);
		return surfaces;
	}

	public String toString() { return "[RoomInfo " + name + "]"; }
}

