package com.bewitched.servlet;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * Framework for extremely simple servlets that just
 * need to print brief content to the page.
 *
 */
public class SimpleServlet extends PropertyServlet
{


    public void doGet(HttpServletRequest req, HttpServletResponse res)
                throws ServletException, IOException
    {
        res.setContentType("text/html");
        PrintWriter out=res.getWriter();
        out.println("<html><body bgcolor="+bgcolor()+">");

        try
        {
            print(out);
        }
        catch (Exception e)
        {
            out.println("<b>An exception occurred.</b><p>");
            e.printStackTrace(out);
        }

        out.println("</body></html>");
        out.flush();
    }

    protected void print(PrintWriter out)
    {
        out.println("Override print() to add functionality.");
    }
}
