package apt.servlet;

import com.bewitched.servlet.*;
import java.util.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * Delete apartments.
 *
 */
public class DoEdit extends RequestServlet
{
    protected String propertyFile()
    {
        return "DoEdit.properties";
    }

    public void request(HttpServletRequest req, PrintWriter out)
    {

        out.println(getProperty("header"));
        StringBuffer summary=new StringBuffer(10000);

        try
        {
            File f=new File(ApartmentPath.indexFile());
            BufferedReader r=new BufferedReader(new FileReader(f));
            String line=null;
            int count=0;
            while (null!=(line=r.readLine()))
            {
                if (line.indexOf("title")==0)
                {
                    StringTokenizer t=new StringTokenizer(line, "\t");
                    t.nextToken();
                    String title=t.nextToken();

                    count++;
                    if (req.getParameter("title"+count)!=null)
                    {
                        out.println(title+"<br>");
                        do
                        {
                            line=r.readLine();
                        } while (line!=null && line.indexOf("==")!=0);
                        continue;
                    }
                }
                appendln(summary, line);
            }
            r.close();

            TextFile indexFile=new TextFile(ApartmentPath.indexFile());
            indexFile.write(summary);
        }
        catch (Exception e)
        {
            e.printStackTrace(out);
        }


        out.println(getProperty("footer"));
    }

    private void appendln(StringBuffer b, String s)
    {
        b.append(s);
        b.append(TextFile.CRLF);
    }

}
